Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-1600

Thrift Go Compiler and Library out of date with Go 1 Release.

VotersWatch issueWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.9.1
    • Component/s: Go - Compiler, Go - Library
    • Labels:
      None

      Description

      Go 1 is a major release of Go that will be stable in the long term. Read the Go 1 Release Notes for more information.
      http://golang.org/doc/go1.html

      The current (trunk) compiler and libraries are not compatible with Go1, because of significant changes in the language.

      The pomack/thrift4go seems a valid patch, but doesn't seem to be pulled into Apache Thrift. Possibly merge the development into one place? https://github.com/pomack/thrift4go

        Attachments

        1. partial.diff
          2 kB
          Atul S Vasu
        2. thrift-1600-go1-support.patch.gz
          118 kB
          Jed Smith

        Issue Links

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              atulsvasu Atul S Vasu

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment